# lifseaos-installer

lifseaos-installer is a program to assist with installing LifseaOS. It can do the following:

* Install the operating system to a target disk, optionally customizing it
  with an Ignition config or first-boot kernel parameters
  ([`lifseaos-installer install`](docs/cmd/install.md))
* Download and verify an operating system image for various cloud,
  virtualization, or bare metal platforms ([`lifseaos-installer download`](docs/cmd/download.md))
  ([`lifseaos-installer list-stream`](docs/cmd/list-stream.md))
* Embed an Ignition config in a live ISO image to customize the running
  system that boots from it ([`lifseaos-installer iso ignition`](docs/cmd/iso.md))
* Wrap an Ignition config in an initrd image that can be appended to the
  live PXE initramfs to customize the running system that boots from it
  ([`lifseaos-installer pxe ignition`](docs/cmd/pxe.md))

The options available for each subcommand are available in the
[Command Line Reference](docs/cmd.md) or via the `--help` option.

Take a look at the [Getting Started Guide](docs/getting-started.md) for more
information regarding how to download and use `lifseaos-installer`.
